For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Sending Stats by Date

Get account sending stats by date. Use filters to get specific stats.

get
Authorizations
Api-TokenstringRequired

API token in Api-Token header

Query parameters
start_datestring · dateRequired

Start date for which to include the results.

Example: 2025-01-01
end_datestring · dateRequired

End date for which to include the results.

Example: 2025-12-31
domain_ids[]integer · int64[]Optional

IDs of the domains for which to include the results. If not provided, results for all domains will be included.

Example: [3938,3939]
categories[]string[]Optional

Categories for which to include the results. If not provided, results for all categories will be included.

Example: ["Welcome Email","Password Reset"]
Responses
200

OK

application/json
datestring · dateOptionalExample: 2025-01-01
get/api/stats/date
curl -X GET 'https://mailtrap.io/api/stats/date?start_date=2025-01-01&end_date=2025-12-31' \
  -H 'Authorization: Bearer YOUR_API_KEY'
[
  {
    "date": "2025-01-01",
    "stats": {
      "delivery_count": 190,
      "delivery_rate": 0.95,
      "bounce_count": 10,
      "bounce_rate": 0.05,
      "open_count": 171,
      "open_rate": 0.9,
      "click_count": 133,
      "click_rate": 0.7,
      "spam_count": 3,
      "spam_rate": 0.02
    }
  }
]

Last updated

Was this helpful?